Description

Following post http://www.ultimatepp.org/forums/index.php?t=msg&#38;th=9104&#38;start=0x%x%

Add all resting K_ key codes (; . , + - [ ] ...) for Windows, Linux and X11 platforms. Check SDL too.

Include GuiPlatformGetKeyDesc() as much as possible into GetKeyDesc().

History

#1 - 11/16/2014 04:46 PM - Iñaki Zabala

- File CtrlKbd.cpp added

- File GtkCtrl.cpp added

- File GtkKeys.h added

- File X11Keys.h added

- File X11Ctrl.cpp added

- File Win32Keys.h added

- File Win32Ctrl.cpp added

- File CtrlCore.h added

- Status changed from New to Ready for QA

Changes included. Mirek please check.

#2 - 11/17/2014 05:08 PM - Miroslav Fidler

- Status changed from Ready for QA to Approved

Thanx!

#3 - 11/18/2014 08:01 AM - Iñaki Zabala

:-)

Files

CtrlKbd.cpp 12.4 KB 11/16/2014 Iñaki Zabala

GtkCtrl.cpp 973 Bytes 11/16/2014 Iñaki Zabala

GtkKeys.h 3.53 KB 11/16/2014 Iñaki Zabala

X11Keys.h 3.69 KB 11/16/2014 Iñaki Zabala

X11Ctrl.cpp 2.09 KB 11/16/2014 Iñaki Zabala

Win32Keys.h 3.75 KB 11/16/2014 Iñaki Zabala

Win32Ctrl.cpp 2.41 KB 11/16/2014 Iñaki Zabala
CtrlCore.h 48 KB 11/16/2014 Iñaki Zabala
